uuid: 548a3b20-0ce4-432c-a7a1-83922393c9e7
langcode: es
status: true
dependencies:
  module:
    - commerce_order
    - commerce_price
  enforced:
    module:
      - commerce_checkout
      - commerce_order
_core:
  default_config_hash: siNWuu6hwi8-i23AZmV2a2MZhJPqGMv-clS58Qln2Qg
id: commerce_checkout_order_summary
label: 'Checkout order summary'
module: views
description: ''
tag: commerce_order_summary
base_table: commerce_order
base_field: order_id
display:
  default:
    id: default
    display_title: Máster
    display_plugin: default
    position: 0
    display_options:
      fields:
        quantity:
          id: quantity
          table: commerce_order_item
          field: quantity
          relationship: order_items
          group_type: group
          admin_label: ''
          entity_type: commerce_order_item
          entity_field: quantity
          plugin_id: field
          label: ''
          exclude: false
          alter:
            alter_text: true
            text: '{{ quantity }}&nbsp;x'
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: number_decimal
          settings:
            thousand_separator: ''
            decimal_separator: .
            scale: 0
            prefix_suffix: false
          group_column: value
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
        purchased_entity:
          id: purchased_entity
          table: commerce_order_item
          field: purchased_entity
          relationship: order_items
          group_type: group
          admin_label: ''
          entity_type: commerce_order_item
          entity_field: purchased_entity
          plugin_id: field
          label: ''
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: true
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: target_id
          type: entity_reference_entity_view
          settings:
            view_mode: summary
          group_column: target_id
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
        total_price__number:
          id: total_price__number
          table: commerce_order_item
          field: total_price__number
          relationship: order_items
          group_type: group
          admin_label: ''
          entity_type: commerce_order_item
          entity_field: total_price
          plugin_id: field
          label: ''
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: number
          type: commerce_price_default
          settings:
            strip_trailing_zeroes: false
            currency_display: symbol
          group_column: ''
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
      pager:
        type: none
        options:
          offset: 0
      exposed_form:
        type: basic
        options:
          submit_button: Aplicar
          reset_button: false
          reset_button_label: Restablecer
          exposed_sorts_label: 'Ordenar por'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      access:
        type: none
        options: {  }
      cache:
        type: tag
        options: {  }
      empty: {  }
      sorts:
        order_item_id:
          id: order_item_id
          table: commerce_order_item
          field: order_item_id
          relationship: order_items
          group_type: group
          admin_label: ''
          entity_type: commerce_order_item
          entity_field: order_item_id
          plugin_id: standard
          order: ASC
          expose:
            label: ''
          exposed: false
      arguments:
        order_id:
          id: order_id
          table: commerce_order
          field: order_id
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: commerce_order
          entity_field: order_id
          plugin_id: numeric
          default_action: default
          exception:
            value: all
            title_enable: false
            title: Todo(s)
          title_enable: false
          title: ''
          default_argument_type: fixed
          default_argument_options:
            argument: ''
          summary_options:
            base_path: ''
            count: true
            override: false
            items_per_page: 25
          summary:
            sort_order: asc
            number_of_records: 0
            format: default_summary
          specify_validation: false
          validate:
            type: none
            fail: 'not found'
          validate_options: {  }
          break_phrase: false
          not: false
      filters: {  }
      style:
        type: table
        options:
          grouping: {  }
          row_class: ''
          default_row_class: true
          columns:
            order_number: order_number
          default: '-1'
          info:
            order_number:
              sortable: false
              default_sort_order: asc
              align: ''
              separator: ''
              empty_column: false
              responsive: ''
          override: true
          sticky: false
          summary: ''
          empty_table: false
          caption: ''
          description: ''
      row:
        type: fields
        options:
          default_field_elements: true
          inline: {  }
          separator: ''
          hide_empty: false
      query:
        type: views_query
        options:
          query_comment: ''
          disable_sql_rewrite: false
          distinct: false
          replica: false
          query_tags: {  }
      relationships:
        order_items:
          id: order_items
          table: commerce_order__order_items
          field: order_items_target_id
          relationship: none
          group_type: group
          admin_label: 'order_items: Order Item'
          entity_type: commerce_order
          entity_field: order_items
          plugin_id: standard
          required: true
      header: {  }
      footer:
        commerce_order_total:
          id: commerce_order_total
          table: views
          field: commerce_order_total
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: commerce_order_total
          empty: false
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
      tags: {  }
